.Product_Image {
}

.Product_Image .img_main_container {
  position: relative;
  background: #ffffff 0% 0% no-repeat padding-box;
  box-shadow: 0px 0px 5px #00000029;
  border-radius: 5px;
  opacity: 1;
}

.Product_Image .img_main_container .img_holder {
  aspect-ratio: 1/0.7;
}

.Product_Image .img_main_container .product-detail {
  /* height: auto; */
  width: 100%;
  /* aspect-ratio: 1/1; */
  position: relative;
  overflow: hidden;
}

.Product_Image .img_main_container .zoom_div {
  background: #c7c7c7;
  width: -moz-fit-content;
  width: fit-content;
  padding: 5px 15px;
  position: absolute;
  left: 10px;
  bottom: 10px;
  border-radius: 4px;
  cursor: pointer;
}

.Product_Image .img_main_container .zoom_div .zoom_img {
  width: 15px;
}

.Product_Image .img_main_container .zoom_div .inner_text {
  color: #fff;
  font-size: 15px;
  margin-left: 9px;
}

.Product_Image .img_main_container .product-detail .specs {
  height: auto;
  width: 100%;
  aspect-ratio: 1/0.6;
}

.Product_Image .img_main_container .product-detail .specs .zoomable {
  position: relative;
  overflow: hidden;
  height: auto;
  width: 100%;
  aspect-ratio: 1/1;
}

.Product_Image .img_main_container .product-detail .specs .zoomable__img {
  transform-origin: var(--zoom-pos-x, 0%) var(--zoom-pos-y, 0%);
  transition: transform 0.15s linear;
  width: 100%;
  height: 100%;
  object-fit: contain;
}

.Product_Image .img_main_container .zoomable--zoomed .zoomable__img {
  cursor: zoom-in;
  transform: scale(var(--zoom, 2));
}

/* .Product_Image .img_main_container .img_holder img {
    width: 100%;
    height: 100%;
    object-fit: contain;
} */

.Product_Image .img_main_container .two_icons_holder {
  position: absolute;
  top: 6px;
  right: 9px;
  display: flex;
}

.Product_Image .img_main_container .icon_holder {
  background: #efefef 0% 0% no-repeat padding-box;
  opacity: 1;
  padding: 9px;
  border-radius: 50%;
  display: flex;
  justify-content: center;
  align-items: center;
  cursor: pointer;
  margin: 0px 0px 0px 10px;
  width: 40px;
  height: 40px;
}

.Product_Image .img_main_container .icon_holder .heart_icon,
.Product_Image .img_main_container .icon_holder .share_icon {
  color: #6c757d;
  font-size: 20px;
}

.Product_Image .img_main_container .icon_holder .heart_icon.clicked {
  color: #6b4182;
}

.Product_Image .sidebar-swiper {
  margin-top: 5%;
}

.Product_Image .sidebar-swiper .swiper-horizontal {
}

.Product_Image .sidebar-swiper .swiper-slide {
  text-align: center;
  font-size: 18px;
  background: #fff;
  display: flex;
  justify-content: center;
  align-items: center;
}

.Product_Image .sidebar-swiper .swiper-slide .gallery-imgs.active {
  border: 1px solid #6b4182;
}

.Product_Image .sidebar-swiper .swiper-slide .gallery-imgs {
  padding: 10px;
  border: 0.5px solid #80808000;
  background: #ffffff 0% 0% no-repeat padding-box;
  box-shadow: 0px 0px 5px #00000029;
  border-radius: 5px;
  opacity: 1;
  width: 100%;
  height: 140px;
}

.Product_Image .sidebar-swiper .swiper-slide .gallery-imgs img.inner-img {
  width: 100%;
  height: 100%;
  object-fit: contain;
}

.product_image_slider::before {
  content: unset;
}

.product_image_slider::after {
  content: unset;
}

.product_image_slider .swiper-button-prev {
  left: unset;
  right: 100px;
}

.product_image_slider .swiper-button-prev {
  background: #787878 0% 0% no-repeat padding-box;
  width: 24px;
  height: 24px;
  border-radius: 50%;
  bottom: 0px;
  top: 50px;
  z-index: 1;
  left: 0;
}

.product_image_slider .swiper-button-next {
  background: #787878 0% 0% no-repeat padding-box;
  width: 24px;
  height: 24px;
  border-radius: 50%;
  bottom: 0px;
  top: 50px;
  z-index: 1;
  right: 0;
}

.Product_Image .img_main_container .silder_btn {
  display: flex;
  justify-content: space-between;
  align-items: center;
  position: absolute;
  z-index: 9;
  /* width: 100%; */
  transform: translate(0px, -50%);
  bottom: 0px;
  right: 0px;
}

.Product_Image .img_main_container .silder_btn .back_btn_holder {
  width: 35px;
  height: 35px;
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: #d6d2d0;
  border-radius: 4px;
  margin: 0px 3px;
  cursor: pointer;
  border: 1px solid #989898;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}

.Product_Image .img_main_container .silder_btn .back_btn_holder:hover {
  background-color: #6b4182;
  border: 1px solid #6b4182;
}

.Product_Image .img_main_container .silder_btn .back_btn_holder .back_btn p {
  margin-bottom: 0px;
  color: #000;
  font-size: 17px;
}

.Product_Image
  .img_main_container
  .silder_btn
  .back_btn_holder:hover
  .back_btn
  p {
  color: #fff;
}

.Product_Image .img_main_container .silder_btn .back_btn_holder:hover {
  border: 1px solid #000000;
}

@media (min-width: 0px) and (max-width: 767.98px) {
  .Product_Image .sidebar-swiper .swiper-slide .gallery-imgs {
    padding: 5px;
    height: 80px;
  }

  .Product_Image .img_main_container .silder_btn .back_btn_holder {
    width: 33px;
    height: 33px;
  }

  .Product_Image .img_main_container .zoom_div .zoom_img {
    width: 13px;
  }

  .Product_Image .img_main_container .zoom_div .inner_text {
    font-size: 14px;
  }
}

@media (min-width: 0px) and (max-width: 991px) {
  .Product_Image .img_main_container .icon_holder .heart_icon {
    font-size: 22px;
  }

  .Product_Image .img_main_container .icon_holder {
    padding: 6px;
  }
}
